Package com.io7m.idstore.user_client.internal

# Class IdUHandler1

java.lang.Object
com.io7m.idstore.user_client.internal.IdUHandlerAbstract
com.io7m.idstore.user_client.internal.IdUHandler1

All Implemented Interfaces:
  `com.io7m.hibiscus.basic.HBClientHandlerType<IdUClientException,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials>`, `IdUHandlerType`

public final class IdUHandler1 extends IdUHandlerAbstract
The version 1 protocol handler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onDisconnect()`
  `com.io7m.hibiscus.api.HBResultType<IdUResponseType,IdUResponseError>`
  `onExecuteCommand(IdUCommandType<?> command)`
  `com.io7m.hibiscus.api.HBResultType<com.io7m.hibiscus.basic.HBClientNewHandler<IdUClientException,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials>,IdUResponseError>`
  `onExecuteLogin(IdUClientCredentials credentials)`
  `boolean`
  `onIsConnected()`
  `List<IdUClientEventType>`
  `onPollEvents()`
  `String`
  `toString()`

  ### Methods inherited from class com.io7m.idstore.user_client.internal.IdUHandlerAbstract

  `configuration, httpClient, strings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### onIsConnected

    public boolean onIsConnected()

  - ### onPollEvents

    public List<IdUClientEventType> onPollEvents()

  - ### onExecuteLogin

    public com.io7m.hibiscus.api.HBResultType<com.io7m.hibiscus.basic.HBClientNewHandler<IdUClientException,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials>,IdUResponseError> onExecuteLogin(IdUClientCredentials credentials) throws InterruptedException
    Throws:
      `InterruptedException`

  - ### onExecuteCommand

    public com.io7m.hibiscus.api.HBResultType<IdUResponseType,IdUResponseError> onExecuteCommand(IdUCommandType<?> command) throws InterruptedException
    Throws:
      `InterruptedException`

  - ### onDisconnect

    public void onDisconnect()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`